APT-MARK(8)

NOME
apt-mark - mostra, imposta e deconfigura varie impostazioni per un pacchetto

SINOSSI

apt-mark {-f=nomefile | {auto | manual} pacch... | {showauto | showmanual} [pacch...] } | {-v | --version} | {-h | --help}

apt-mark {hold | unhold | install | remove | purge} pacch... | {showhold | showinstall | showremove | showpurge} [pacch...]

DESCRIZIONE

apt-mark può essere usato come fronted unificato per configurare varie impostazioni per un pacchetto, come contrassegnarlo come installato automaticamente/manualmente, oppure per cambiare selezioni di dpkg come blocco, installazione, rimozione ed eliminazione completa, che vengono onorate, ad esempio, da apt-get dselect-upgrade o aptitude.

PACCHETTI INSTALLATI AUTOMATICAMENTE E MANUALMENTE

Quando viene richiesta l'installazione di un pacchetto e ciò fa sì che altri pacchetti vengano installati per soddisfare le sue dipendenze, queste ultime sono contrassegnate come installate automaticamente, mentre i pacchetti che vengono installati esplicitamente sono contrassegnati come installati manualmente. Una volta che non c'è più alcun pacchetto installato manualmente che dipende da un dato pacchetto installato automaticamente, quest'ultimo viene considerato come non più necessario e, ad esempio, apt-get o aptitude come minimo suggeriscono di rimuoverlo.

auto
    auto viene usato per contrassegnare un pacchetto come installato automaticamente, il che fa sì che il pacchetto venga rimosso quando non c'è più alcun pacchetto installato manualmente che dipende da esso.

manual
    manual viene usato per contrassegnare un pacchetto come installato manualmente, il che impedisce che un pacchetto venga rimosso automaticamente se nessun altro dipende da esso.

minimize-manual
    minimize-manual is used to mark (transitive) dependencies of metapackages as automatically installed. This can be used after an installation for example, to minimize the number of manually installed packages; or continuously on systems managed by system configuration metapackages.

showauto
    showauto viene usato per stampare un elenco di pacchetti installati automaticamente, ciascuno su una riga. Se non viene specificato alcun pacchetto, vengono elencati tutti i pacchetti installati automaticamente. Se vengono specificati dei pacchetti, verranno mostrati solo quelli automaticamente installati.

showmanual
    showmanual può essere usato nello stesso modo di showauto, tranne per il fatto che stampa invece un elenco dei pacchetti installati manualmente

  Opzioni

-f=nomefile, --file=nomefile
    Legge/Scrive le statistiche sui pacchetti dal file specificato con il parametro nomefile invece che dalla posizione predefinita che è extended_states nella directory definita dalla voce di configurazione Dir::State.

EVITARE MODIFICHE AD UN PACCHETTO

hold
    hold viene usato per contrassegnare un pacchetto come bloccato, il che impedisce che un pacchetto venga installato, aggiornato o rimosso automaticamente.

unhold
    unhold viene usato per annullare un blocco impostato in precedenza, per permettere nuovamente tutte le azioni.

showhold
    showhold viene usato per stampare un elenco di pacchetti bloccati in modo uguale a ciò che fanno gli altri comandi «show».

PIANIFICARE LINSTALLAZIONE, RIMOZIONE ED ELIMINAZIONE DI PACCHETTI

Alcuni frontend, come apt-get dselect-upgrade possono essere usati per applicare modifiche allo stato di installazione dei pacchetti precedentemente pianificate. Queste modifiche possono essere pianificate usando i comandi install, remove (noto anche come deinstall) e purge. I pacchetti con una selezione specifica possono essere visualizzati rispettivamente con showinstall, showremove e showpurge. Ulteriori informazioni su queste cosiddette selezioni di dpkg possono essere trovate in dpkg(1).

OPZIONI

-h, --help
    Mostra un breve riassunto sull'uso.

-v, --version
    Mostra la versione del programma.

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    File di configurazione; specifica un file di configurazione da usare. Il programma legge il file di configurazione predefinito e poi questo file di configurazione. Se è necessario modificare le impostazioni di configurazione prima che vengano analizzati i file di configurazione predefiniti, specificare un file con la variabile d'ambiente APT_CONFIG. Vedere apt.conf(5) per informazioni sulla sintassi.

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

FILE

/var/lib/apt/extended_states
    Elenco degli stati dei pacchetti installati automaticamente. Voce di configurazione: Dir::State::extended_states.

VEDERE ANCHE

apt-get(8), aptitude(8), apt.conf(5)

DIAGNOSTICA

apt-mark restituisce zero in caso di funzionamento normale e un valore diverso da zero in caso di errore.

BUG

Pagina dei bug di APT[1]. Se si desidera segnalare un bug in APT, vedere /usr/share/doc/debian/bug-reporting.txt o il comando reportbug(1).

TRADUZIONE

Traduzione in italiano a cura del Team italiano di localizzazione di Debian <debian-l10n-italian@lists.debian.org>. In particolare hanno contribuito Eugenia Franzoni (2000), Hugh Hartmann (2000-2012), Gabriele Stilli (2012), Beatrice Torracca (2012, 2014, 2015).

Notare che questa versione tradotta del documento può contenere parti non tradotte. Ciò è voluto, per evitare di perdere contenuti quando la traduzione non è aggiornata rispetto all'originale.

AUTORI

Mike O'Connor

Team APT

NOTE

1.  Pagina dei bug di APT
    https://bugs.debian.org/src:apt